﻿using System.Drawing;
using System.Windows.Forms;

using ScottPlot;

namespace TestProject
{
    /// <summary>
    /// 메인 폼
    /// </summary>
    public partial class MainForm : Form
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Constructor
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region 생성자 - MainForm()

        /// <summary>
        /// 생성자
        /// </summary>
        public MainForm()
        {
            InitializeComponent();

            Plot plot = new Plot(800, 600);

            double[] xValueArray1 = DataGen.Consecutive(1000000, 1.0 / 20000);
            double[] yValueArray2 = DataGen.RandomWalk(null, 1000000);

            plot.AddScatter(xValueArray1, yValueArray2, Color.Red, markerSize: 0);

            plot.Benchmark(enable : true);

            plot.Title($"분산형 차트 : 백만 포인트");

            this.formsPlot.Reset(plot);

            this.formsPlot.Refresh();
        }

        #endregion
    }
}